error with dada2


#1

Dear Staff,

I am running some analysys with qiime2. If I analyze a few samples I do not get any probelms, but when I run the following command with several samples (55) I get the following error.

Thanks a lot in adavance

Here the command:
docker run -t -i -v $(pwd):/data qiime2/core:2018.11 qiime dada2 denoise-paired --i-demultiplexed-seqs demux-paired-end.qza --p-trim-left-f 7 --p-trim-left-r 7 --p-trunc-len-f 250 --p-trunc-len-r 195 --o-table table.qza --o-representative-sequences rep-seqs.qza --o-denoising-stats denoising-stats.qza --p-n-threads 0 --p-n-reads-learn 10000 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpjlxkzrut/forward /tmp/tmpjlxkzrut/reverse /tmp/tmpjlxkzrut/output.tsv.biom /tmp/tmpjlxkzrut/track.tsv /tmp/tmpjlxkzrut/filt_f /tmp/tmpjlxkzrut/filt_r 250 195 7 7 2.0 2 consensus 1.0 0 10000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …

  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 69135 reads in 11744 unique sequences.
    selfConsist step 2
    selfConsist step 3
    selfConsist step 4
    Convergence after 4 rounds.
    2b) Reverse Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 69135 reads in 12679 unique sequences.
    selfConsist step 2
    selfConsist step 3
    selfConsist step 4
    Convergence after 4 rounds.

  3. Denoise remaining samples …Traceback (most recent call last):
    File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpjlxkzrut/forward’, ‘/tmp/tmpjlxkzrut/reverse’, ‘/tmp/tmpjlxkzrut/output.tsv.biom’, ‘/tmp/tmpjlxkzrut/track.tsv’, ‘/tmp/tmpjlxkzrut/filt_f’, ‘/tmp/tmpjlxkzrut/filt_r’, ‘250’, ‘195’, ‘7’, ‘7’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘10000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File “/opt/conda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.


(Nicholas Bokulich) #2

Hi @Desmond,

Return code -9 is a memory error — you will need to get access to a higher-memory machine (or allocate more memory if you are working on a virtual machine) to get this command to run. You can search for that error message on this forum to see what other advice is out there, but bottom line is your machine needs more memory.

Good luck!


#3

Thanks a lot for the prompt answer!